Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTree.AccessibleJTree

    java.lang.Object
      |
      +--javax.accessibility.AccessibleContext
            |
            +--javax.swing.JComponent.AccessibleJComponent
                  |
                  +--javax.swing.JTree.AccessibleJTree

protected class JTree.AccessibleJTree
extends JComponent.AccessibleJComponent
implements AccessibleSelection, TreeSelectionListener, TreeModelListener, TreeExpansionListener

The class used to obtain the accessible role for this object.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `JTree.AccessibleJTree.AccessibleJTreeNode`

Inner classes inherited from class javax.swing.JComponent.AccessibleJComponent
`JComponent.AccessibleJComponent.AccessibleContainerHandler`

Fields inherited from class javax.swing.JComponent.AccessibleJComponent
`accessibleContainerHandler`

Fields inherited from class javax.accessibility.AccessibleContext
`ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

Constructor Summary
`JTree.AccessibleJTree()`

Method Summary
`void` | `addAccessibleSelection(int i)` Adds the specified selected item in the object to the object's selection.
`void` | `clearAccessibleSelection()` Clears the selection in the object, so that nothing in the object is selected.
`void` | `fireVisibleDataPropertyChange()` Fire a visible data property change notification.
`Accessible` | `getAccessibleAt(java.awt.Point p)` Returns the Accessible child, if one exists, contained at the local coordinate Point.
`Accessible` | `getAccessibleChild(int i)` Return the nth Accessible child of the object.
`int` | `getAccessibleChildrenCount()` Returns the number of top-level children nodes of this JTree.
`int` | `getAccessibleIndexInParent()` Get the index of this object in its accessible parent.
`AccessibleRole` | `getAccessibleRole()` Get the role of this object.
`AccessibleSelection` | `getAccessibleSelection()`
`Accessible` | `getAccessibleSelection(int i)` Returns an Accessible representing the specified selected item in the object.
`int` | `getAccessibleSelectionCount()` Returns the number of items currently selected.
`boolean` | `isAccessibleChildSelected(int i)` Returns true if the current child of this object is selected.
`void` | `removeAccessibleSelection(int i)` Removes the specified selected item in the object from the object's selection.
`void` | `selectAllAccessibleSelection()` Causes every selected item in the object to be selected if the object supports multiple selections.
`void` | `treeCollapsed(TreeExpansionEvent e)` Tree Collapsed notification.
`void` | `treeExpanded(TreeExpansionEvent e)` Tree Model Expansion notification.
`void` | `treeNodesChanged(TreeModelEvent e)` Tree Model Node change notification.
`void` | `treeNodesInserted(TreeModelEvent e)` Tree Model Node change notification.
`void` | `treeNodesRemoved(TreeModelEvent e)` Tree Model Node change notification.
`void` | `treeStructureChanged(TreeModelEvent e)` Tree Model structure change change notification.
`void` | `valueChanged(TreeSelectionEvent e)` Tree Selection Listener value change method.

Methods inherited from class javax.swing.JComponent.AccessibleJComponent
`addFocusListener, addPropertyChangeListener, contains, getAccessibleComponent, getAccessibleDescription, getAccessibleName, getAccessibleParent, getAccessibleStateSet, getBackground, getBorderTitle, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, removePropertyChangeListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

Methods inherited from class javax.accessibility.AccessibleContext
`firePropertyChange, getAccessibleAction, getAccessibleText, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTree.AccessibleJTree

    public JTree.AccessibleJTree()

Method Detail

### valueChanged

    public void valueChanged(TreeSelectionEvent e)

  Tree Selection Listener value change method. Used to fire the property change
  Specified by:
    valueChanged in interface TreeSelectionListener
  Parameters:
    `e` - ListSelectionEvent

### fireVisibleDataPropertyChange

    public void fireVisibleDataPropertyChange()

  Fire a visible data property change notification. A 'visible' data property is that it represents something about the way the component appears on the display, where that appearance isn't bound to any other property. It notifies screen readers that the visual appearance of the component has changed, so they can notify the user.

### treeNodesChanged

    public void treeNodesChanged(TreeModelEvent e)

  Tree Model Node change notification.
  Specified by:
    treeNodesChanged in interface TreeModelListener
  Parameters:
    `e` - a Tree Model event

### treeNodesInserted

    public void treeNodesInserted(TreeModelEvent e)

  Tree Model Node change notification.
  Specified by:
    treeNodesInserted in interface TreeModelListener
  Parameters:
    `e` - a Tree node insertion event

### treeNodesRemoved

    public void treeNodesRemoved(TreeModelEvent e)

  Tree Model Node change notification.
  Specified by:
    treeNodesRemoved in interface TreeModelListener
  Parameters:
    `e` - a Tree node(s) removal event

### treeStructureChanged

    public void treeStructureChanged(TreeModelEvent e)

  Tree Model structure change change notification.
  Specified by:
    treeStructureChanged in interface TreeModelListener
  Parameters:
    `e` - a Tree Model event

### treeCollapsed

    public void treeCollapsed(TreeExpansionEvent e)

  Tree Collapsed notification.
  Specified by:
    treeCollapsed in interface TreeExpansionListener
  Parameters:
    `e` - a TreeExpansionEvent

### treeExpanded

    public void treeExpanded(TreeExpansionEvent e)

  Tree Model Expansion notification.
  Specified by:
    treeExpanded in interface TreeExpansionListener
  Parameters:
    `e` - a Tree node insertion event

### getAccessibleRole

    public AccessibleRole getAccessibleRole()

  Get the role of this object.
  Returns:
    an instance of AccessibleRole describing the role of the object
  Overrides:
    getAccessibleRole in class JComponent.AccessibleJComponent
  See Also:
    `AccessibleRole`

### getAccessibleAt

    public Accessible getAccessibleAt(java.awt.Point p)

  Returns the Accessible child, if one exists, contained at the local coordinate Point.
  Parameters:
    `p` - point in local coordinates of the this Accessible
  Returns:
    the Accessible, if it exists, at the specified location; else null
  Overrides:
    getAccessibleAt in class JComponent.AccessibleJComponent

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount()

  Returns the number of top-level children nodes of this JTree. Each of these nodes may in turn have children nodes.
  Returns:
    the number of accessible children nodes in the tree.
  Overrides:
    getAccessibleChildrenCount in class JComponent.AccessibleJComponent

### getAccessibleChild

    public Accessible getAccessibleChild(int i)

  Return the nth Accessible child of the object.
  Parameters:
    `i` - zero-based index of child
  Returns:
    the nth Accessible child of the object
  Overrides:
    getAccessibleChild in class JComponent.AccessibleJComponent

### getAccessibleIndexInParent

    public int getAccessibleIndexInParent()

  Get the index of this object in its accessible parent.
  Returns:
    the index of this object in its parent; -1 if this object does not have an accessible parent.
  Overrides:
    getAccessibleIndexInParent in class JComponent.AccessibleJComponent
  See Also:
    `JComponent.AccessibleJComponent.getAccessibleParent()`

### getAccessibleSelection

    public AccessibleSelection getAccessibleSelection()

  Overrides:
    getAccessibleSelection in class AccessibleContext

### getAccessibleSelectionCount

    public int getAccessibleSelectionCount()

  Returns the number of items currently selected. If no items are selected, the return value will be 0.
  Specified by:
    getAccessibleSelectionCount in interface AccessibleSelection
  Returns:
    the number of items currently selected.

### getAccessibleSelection

    public Accessible getAccessibleSelection(int i)

  Returns an Accessible representing the specified selected item in the object. If there isn't a selection, or there are fewer items selcted than the integer passed in, the return value will be null.
  Specified by:
    getAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selected items
  Returns:
    an Accessible containing the selected item

### isAccessibleChildSelected

    public boolean isAccessibleChildSelected(int i)

  Returns true if the current child of this object is selected.
  Specified by:
    isAccessibleChildSelected in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of the child in this Accessible object.
  See Also:
    `AccessibleContext.getAccessibleChild(int)`

### addAccessibleSelection

    public void addAccessibleSelection(int i)

  Adds the specified selected item in the object to the object's selection. If the object supports multiple selections, the specified item is added to any existing selection, otherwise it replaces any existing selection in the object. If the specified item is already selected, this method has no effect.
  Specified by:
    addAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selectable items

### removeAccessibleSelection

    public void removeAccessibleSelection(int i)

  Removes the specified selected item in the object from the object's selection. If the specified item isn't currently selected, this method has no effect.
  Specified by:
    removeAccessibleSelection in interface AccessibleSelection
  Parameters:
    `i` - the zero-based index of selectable items

### clearAccessibleSelection

    public void clearAccessibleSelection()

  Clears the selection in the object, so that nothing in the object is selected.
  Specified by:
    clearAccessibleSelection in interface AccessibleSelection

### selectAllAccessibleSelection

    public void selectAllAccessibleSelection()

  Causes every selected item in the object to be selected if the object supports multiple selections.
  Specified by:
    selectAllAccessibleSelection in interface AccessibleSelection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.